[DEFAULT]

#
# From kuryr
#

# Directory where Kuryr python module is installed. (string value)
pybasedir = /home/vikasc/kuryr

# Directory for Kuryr vif binding executables. (string value)
bindir = $pybasedir/usr/libexec/kuryr

# Kuryr URL for accessing Kuryr through json rpc. (string value)
kuryr_uri = http://127.0.0.1:2377

# The level of the logging. (string value)
# Allowed values: DEBUG, INFO, WARNING, ERROR, CRITICAL
log_level = DEBUG

# Kuryr plugin scope reported to libnetwork. (string value)
# Allowed values: local, global
capability_scope = local

# Neutron subnetpool name will be prefixed by this. (string value)
subnetpool_name_prefix = kuryrPool

# The default neutron local address-scope name (string value)
local_default_address_space = local_scope

# The default neutron global address-scope name. (string value)
global_default_address_space = global_scope

# The name of a logging configuration file. This file is appended to any
# existing logging configuration files. For details about logging configuration
# files, see the Python logging module documentation. Note that when logging
# configuration files are used then all logging configuration is set in the
# configuration file and other logging configuration options are ignored (for
# example, logging_context_format_string). (string value)
# Deprecated group/name - [DEFAULT]/log_config
#log_config_append = <None>

# Defines the format string for %%(asctime)s in log records. Default:
# %(default)s . This option is ignored if log_config_append is set. (string
# value)
#log_date_format = %Y-%m-%d %H:%M:%S

# (Optional) Name of log file to send logging output to. If no default is set,
# logging will go to stderr as defined by use_stderr. This option is ignored if
# log_config_append is set. (string value)
# Deprecated group/name - [DEFAULT]/logfile
#log_file = <None>

# (Optional) The base directory used for relative log_file  paths. This option
# is ignored if log_config_append is set. (string value)
# Deprecated group/name - [DEFAULT]/logdir
#log_dir = <None>

# Uses logging handler designed to watch file system. When log file is moved or
# removed this handler will open a new log file with specified path
# instantaneously. It makes sense only if log_file option is specified and
# Linux platform is used. This option is ignored if log_config_append is set.
# (boolean value)
#watch_log_file = false

# Use syslog for logging. Existing syslog format is DEPRECATED and will be
# changed later to honor RFC5424. This option is ignored if log_config_append
# is set. (boolean value)
#use_syslog = false

# Syslog facility to receive log lines. This option is ignored if
# log_config_append is set. (string value)
#syslog_log_facility = LOG_USER

# Log output to standard error. This option is ignored if log_config_append is
# set. (boolean value)
#use_stderr = true


[binding]

#
# From kuryr
#

# The name prefix of the veth endpoint put inside the container. (string value)
#veth_dst_prefix = eth


[keystone_client]

#
# From kuryr
#

# The URL for accessing the identity service. (string value)
auth_uri = http://127.0.0.1:35357/v2.0

# The username to auth with the identity service. (string value)
admin_user = admin

# The tenant name to auth with the identity service. (string value)
admin_tenant_name = admin

# The password to auth with the identity service. (string value)
admin_password = pass

# The admin token. (string value)
#admin_token = <None>

# The CA certification file. (string value)
#auth_ca_cert = <None>

# Turn off verification of the certificate for ssl (boolean value)
#auth_insecure = false


[neutron_client]

#
# From kuryr
#

# Neutron URL for accessing the network service. (string value)
neutron_uri = http://127.0.0.1:9696

# Enable or Disable dhcp for neutron subnets. (string value)
#enable_dhcp = True
